Bug 303875 - 'Tags' properties with different font color in tooltip widget
Summary: 'Tags' properties with different font color in tooltip widget
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: libnepomukcore (show other bugs)
Version: git master
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-21 02:53 UTC by André Marcelo Alvarenga
Modified: 2013-01-12 07:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments
Screenshot (201.16 KB, image/png)
2012-07-21 02:53 UTC, André Marcelo Alvarenga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description André Marcelo Alvarenga 2012-07-21 02:53:16 UTC
Im not sure if this a Dolphin bug. Please assign the correct product/component.

See screenshot.
There are two tags in snapshot1.png, 'Teste' and 'imagem', both with different font color (black).
All other attributes are in white color.


Reproducible: Always

Steps to Reproduce:
1. Add some tags to a file (use Dolphin Information panel)
2. In Dolphin, keep the mouse pointer over this file.
Comment 1 André Marcelo Alvarenga 2012-07-21 02:53:59 UTC
Created attachment 72657 [details]
Screenshot
Comment 2 Christoph Feck 2012-07-21 15:11:48 UTC
The Nepomuk::TagWidget does not respect the foregroundRole() color role (see KCommentWidget::event() for a possible implementation).
Comment 3 Frank Reininghaus 2013-01-11 20:26:38 UTC
@Christoph: Emmanuel filed a review request: https://git.reviewboard.kde.org/r/108335/

Can you have a look? Thanks!
Comment 4 Emmanuel Pescosta 2013-01-12 07:21:20 UTC
Git commit 7b1b1519f1bc02c4967ee3c8564f0df45b938cec by Emmanuel Pescosta.
Committed on 12/01/2013 at 08:19.
Pushed by emmanuelp into branch 'KDE/4.10'.

Use right foreground role in Nepomuk2::TagCheckBox::m_label
FIXED-IN: 4.10
REVIEW: 108335

M  +1    -0    ui/tagcheckbox.cpp
M  +2    -0    ui/tagwidget.cpp

http://commits.kde.org/nepomuk-widgets/7b1b1519f1bc02c4967ee3c8564f0df45b938cec